//******************************************************************************
//*   Copyright (C) 2015 K. Vasudevan. Indian Institute of Technology Kanpur.
//*   All Rights Reserved.
//******************************************************************************
// Get uncoded QPSK symbols. 0 maps to +1, 1 maps to -1.
// Code tested on SCILAB ver 5.5.2.
//******************************************************************************
function[Sym]=Get_QPSK_Sym(my_size)
 Re_Sym=grand(1,my_size,'def');
 Im_Sym=grand(1,my_size,'def');
 Re_Sym=int(2*Re_Sym);
 Im_Sym=int(2*Im_Sym);
 Re_Sym=1-2*Re_Sym;
 Im_Sym=1-2*Im_Sym;
 Sym=Re_Sym+%i*Im_Sym;
endfunction
