//******************************************************************************
//*   Copyright (C) 2013 K. Vasudevan. Indian Institute of Technology Kanpur.
//*   All Rights Reserved.
//******************************************************************************
// Get the impulse response of the encoder.
// Code tested on SCILAB ver 6.0.0.
//******************************************************************************
function[RSC_Gen_Vec]=Get_RSC_Gen_Vec()
 y0=1;
 y=zeros(1,RSC_MEM);
 for time=1:OFDM_SIZE
  for i=1:RSC_MEM
   y0=bitxor(y0,y(i)*DC(i+1));
  end
  t_op=y0*NC(1);
  for i=1:RSC_MEM
   t_op=bitxor(t_op,y(i)*NC(i+1));
  end
  RSC_Gen_Vec(time)=t_op;
  for i=RSC_MEM:-1:2
   y(i)=y(i-1);
  end
  y(1)=y0;
  y0=0;
 end;
endfunction
