//******************************************************************************
//*   Copyright (C) 2015 K. Vasudevan. Indian Institute of Technology Kanpur.
//*   All Rights Reserved.
//******************************************************************************
// Get the channel.
// Code tested on SCILAB ver 6.0.0.
//******************************************************************************
function[Chan]=Get_Channel()
 Re_Chan=zeros(CHAN_LEN,NUM_TX,NUM_RX,NUM_RE_TX);     // Initialize re. channel.
 Im_Chan=zeros(CHAN_LEN,NUM_TX,NUM_RX,NUM_RE_TX);     // Initialize im. channel.
 Re_Chan=grand(Re_Chan,'nor',FADE_MEAN,FADE_STD);                // Re. channel.
 Im_Chan=grand(Im_Chan,'nor',FADE_MEAN,FADE_STD);                // Im. channel.
 Chan=Re_Chan+%i*Im_Chan;                                    // Complex channel.
endfunction
