//******************************************************************************
//*   Copyright (C) 2018 K. Vasudevan. Indian Institute of Technology Kanpur.
//*   All Rights Reserved.
//******************************************************************************
// Get the channel.
// Code tested on SCILAB ver 6.0.0.
//******************************************************************************
function Get_SoF_Plot()
 for SoF_Plot_Inx=1:MAX_SoF_PLOT_INX
  SoF_Plot_Start_Inx=(Est_FOFF_Inx(1)-MAX_SoF_PLOT_INX/2+SoF_Plot_Inx-1)* ...
                      FOFF_EST_RX_SIZE-EST_CHAN_LEN-CHAN_LEN;
  SoF_Plot_End_Inx=SoF_Plot_Start_Inx+CHAN_LEN+EST_CHAN_LEN;
  SoF(SoF_Plot_Inx,:)=FOFF_Sync_Op(SoF_Plot_Start_Inx:SoF_Plot_End_Inx);
 end
 Y=[Est_FOFF_Inx(1)-MAX_SoF_PLOT_INX/2:...
    Est_FOFF_Inx(1)+MAX_SoF_PLOT_INX/2-1]* ...
    Freq_Step-MAX_FOFF;
//******************************************************************************
// SoF plot. When plotting, remember to pause.
//******************************************************************************
 X_SoF=[1:CHAN_LEN+EST_CHAN_LEN+1];
 surf(X_SoF,Y,abs(SoF),'facecol','interp');
 h=gcf();
 h.color_map=jetcolormap(16);
 a=gca();
 a.auto_margins='on';
 t=a.title;
 xlabel=a.x_label;
 ylabel=a.y_label;
 zlabel=a.z_label;
 t.font_size=3;
 xlabel.font_size=3;
 ylabel.font_size=3;
 zlabel.font_size=3;
 xlabel.auto_rotation='on';
 ylabel.auto_rotation='on';
 zlabel.auto_rotation='on';
 xlabel.auto_position='on';
 ylabel.auto_position='on';
 zlabel.auto_position='on';
 xtitle('$n_t=1$, $n_r=1$','$m$','$\nu_k$','$Z$');
 pause;                        // Remember to pause, then stop the simulation.
//******************************************************************************
endfunction
