//******************************************************************************
//*   Copyright (C) 2015 K. Vasudevan. Indian Institute of Technology Kanpur.
//*   All Rights Reserved.
//******************************************************************************
// Get the actual and estimated channel.
// Code tested on SCILAB ver 6.0.0.
//******************************************************************************
function Plot_Channel()
 set(gca(),"auto_clear","off");                  // Two plots on the same graph.
 a=gca();                                                   // Get current axes.
 a.box='on';                                               // Put plot in a box.
 plot2d(abs(Chan_FFT(:,1,1,1)),style=5);
 plot2d(abs(Est_Chan_FFT(:,1,1,1)),style=2);
 legends(["Actual";"Estimated"],[[5],[2]], with_box=%t, opt="?");
endfunction
